package main

import (
	"context"
	"os"
	"os/signal"
	"syscall"
)

func main() {
	ctx, _ := signal.NotifyContext(context.Background(), syscall.SIGINT, syscall.SIGTERM, syscall.SIGHUP)

	if cmd, err := rootCmd.ExecuteContextC(ctx); err != nil {
		cmd.PrintErrln("Error:", err.Error())
		cmd.PrintErrf("Run '%v --help' for usage.\n", cmd.CommandPath())
		os.Exit(1)
	}
}
